FGLRX, Fedora 19 and missing kernel headers?

asked 2013-11-12 06:06:48 -0600

alfioemanuele gravatar image

updated 2014-02-15 20:46:58 -0600

mether gravatar image

Hi everyone.

I have an AMD A10 6800K APU, wich is quite new, and everything still looks horrible with the open source drivers, so I have to install the FGLRX proprietary drivers (the beta ones as only they support my APU).

I have installed the kernel-headers for my kernel version but when I try to install using the AMD-provided executable, it fails and the log shows:

Supported adapter detected.
Check if system has the tools required for installation.
fglrx installation requires that the system have kernel headers for 3.7 release.  /lib/modules/3.9.5-301.fc19.x86_64/build/include/generated/uapi/linux/version.h cannot be found on this system.
One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver.
Optionally, run the installer with --force option to install without the tools.
Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended.

The /lib/modules/3.9.5-301.fc19.x86_64/ exists and have stuff in it but build does not seem to be a subdirectory!

Thank you for your help!

edit retag flag offensive close merge delete

Comments

Hi: Send us the output of uname -a

casep gravatar imagecasep ( 2013-11-12 07:15:42 -0600 )edit

Linux localhost.home 3.9.5-301.fc19.x86_64 #1 SMP Tue Jun 11 19:39:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

alfioemanuele gravatar imagealfioemanuele ( 2013-11-12 08:10:55 -0600 )edit